# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cpio
%define fedora 19
%if !(0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

Name:           python-module-cpio
Version:        0.1
Release:        alt1_15
Summary:        A Python module for accessing cpio archives

Group:          Development/Python
License:        LGPLv2+
URL:            http://developer.berlios.de/projects/python-cpio/
Source0:        http://download.berlios.de/python-cpio/python-cpio-0.1.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
This is a Python module for accessing cpio archives.

%prep
%setup -n %{oldname}-%{version} -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog COPYING.lib README TODO
%{python_sitelibdir_noarch}/cpioarchive.py*
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%{python_sitelibdir_noarch}/*.egg-info
%endif


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_15
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_14
- initial fc import

